| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::SceneLoader Class Referenceabstract
Core » General

Abstract class for loading scenes from a file (DataStream). More...

`#include <OgreSceneLoader.h>`

Inheritance diagram for Ogre::SceneLoader:
[legend]

## Public Member Functions
virtual | ~SceneLoader ()
virtual void | load (DataStreamPtr &stream, const String &groupName, SceneNode *rootNode)=0
| Load a scene from a file. More...

## Detailed Description

Abstract class for loading scenes from a file (DataStream).

## Constructor & Destructor Documentation

## ◆ ~SceneLoader()

virtual Ogre::SceneLoader::~SceneLoader | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ load()

virtual void Ogre::SceneLoader::load | ( | DataStreamPtr & | stream,
|  | const String & | groupName,
|  | SceneNode * | rootNode
| ) |  |
| pure virtual

Load a scene from a file.

Parameters

  stream | Weak reference to a data stream which is the source of the scene
  groupName | The name of a resource group which should be used if any resources are created during the parse of this script.
  rootNode | The root node for the scene being created

Implemented in Ogre::BspSceneLoader.

The documentation for this class was generated from the following file:

- OgreSceneLoader.h